Skip to main content
Retrieve a user’s details and their session history (join/leave timestamps).

Endpoint

GET /v1/accounts/:accountId/users/:userId

Authentication

Bearer token required.

Path Parameters

userId
string
required
The user’s unique ID.

Query Parameters

roomId
string
required
The room ID the user belongs to. Required to route the request to the correct Durable Object.

Response

user
CollabKitUser
The user object. See CollabKitUser.
sessions
CollabKitUserSession[]
The user’s session history. See CollabKitUserSession.

Example

curl "https://api.collab-kit.com/v1/accounts/${ACCOUNT_ID}/users/user-001?roomId=c3003c93-60cf-4184-b85f-20be14d26dac" \
  -H "Authorization: Bearer ${TOKEN}"
Response
{
  "type": "response",
  "success": true,
  "description": "User retrieved",
  "data": {
    "user": {
      "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
      "room_id": "c3003c93-...",
      "name": "Alice",
      "profile_picture": "https://example.com/alice.png",
      "custom_id": "alice-001",
      "status": "online",
      "created_at": "2026-05-29T10:05:00.000Z",
      "joined_at": "2026-05-29T10:06:00.000Z",
      "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
    },
    "sessions": [
      {
        "id": "sess_001",
        "user_id": "user-001",
        "room_id": "c3003c93-...",
        "joined_at": "2026-05-29T10:06:00.000Z",
        "left_at": null
      },
      {
        "id": "sess_000",
        "user_id": "user-001",
        "room_id": "c3003c93-...",
        "joined_at": "2026-05-28T14:00:00.000Z",
        "left_at": "2026-05-28T15:30:00.000Z"
      }
    ]
  },
  "error": null
}